Get Voice
curl --request GET \
--url https://api.trillet.ai/v1/api/voices/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/voices/{id}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Wildflower",
"voiceId": "mistv2_Wildflower",
"provider": "rime",
"gender": "female",
"accent": "american",
"description": "Alt Female, Smart"
}
Get Voice
Retrieve a specific voice by its ID.
GET
/
v1
/
api
/
voices
/
{id}
Get Voice
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the voice.
Response Fields
string
Unique identifier for the voice.
string
Display name of the voice.
string
Voice ID used in TTS configuration.
string
TTS provider for this voice.
string
Gender of the voice.
string
Accent of the voice.
string
Description of the voice characteristics.
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Wildflower",
"voiceId": "mistv2_Wildflower",
"provider": "rime",
"gender": "female",
"accent": "american",
"description": "Alt Female, Smart"
}
⌘I
